> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update column

> Update a column by UUID



## OpenAPI

````yaml https://api.getcargo.io/openapi.json put /storage/columns
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /storage/columns:
    put:
      tags:
        - Storage - Columns
      summary: Update column
      description: Update a column by UUID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                modelUuid:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                  title: Model UUID
                  description: Model identifier.
                column:
                  oneOf:
                    - type: object
                      properties:
                        slug:
                          type: string
                        type:
                          type: string
                          enum:
                            - string
                            - number
                            - object
                            - array
                            - date
                            - boolean
                            - any
                            - vector
                        properties:
                          type: array
                          items:
                            type: string
                        label:
                          type: string
                        description:
                          type: string
                        kind:
                          type: string
                          const: original
                        originalSlug:
                          type: string
                      required:
                        - slug
                        - type
                        - label
                        - kind
                        - originalSlug
                    - oneOf:
                        - type: object
                          properties:
                            slug:
                              type: string
                              pattern: ^[a-z0-9]+(_[a-z0-9]+)*$
                            type:
                              type: string
                              enum:
                                - string
                                - number
                                - object
                                - array
                                - date
                                - boolean
                                - any
                                - vector
                            properties:
                              type: array
                              items:
                                type: string
                            label:
                              type: string
                            description:
                              type: string
                            kind:
                              type: string
                              const: custom
                          required:
                            - slug
                            - type
                            - label
                            - kind
                        - type: object
                          properties:
                            slug:
                              type: string
                              pattern: ^[a-z0-9]+(_[a-z0-9]+)*$
                            type:
                              type: string
                              enum:
                                - string
                                - number
                                - object
                                - array
                                - date
                                - boolean
                                - any
                                - vector
                            properties:
                              type: array
                              items:
                                type: string
                            label:
                              type: string
                            description:
                              type: string
                            kind:
                              type: string
                              const: computed
                            expression:
                              allOf:
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      enum:
                                        - jsExpression
                                        - templateExpression
                                    instructTo:
                                      type: string
                                      enum:
                                        - ai
                                        - none
                                    expression:
                                      type: string
                                  required:
                                    - kind
                                    - instructTo
                                    - expression
                                - anyOf:
                                    - type: object
                                      properties:
                                        fromRecipe:
                                          type: boolean
                                          const: false
                                      required:
                                        - fromRecipe
                                    - type: object
                                      properties:
                                        fromRecipe:
                                          type: boolean
                                          const: true
                                        recipe:
                                          type: object
                                          properties:
                                            uuid:
                                              type: string
                                            version:
                                              type: number
                                            variables:
                                              type: object
                                              propertyNames:
                                                type: string
                                              additionalProperties: {}
                                          required:
                                            - uuid
                                            - version
                                            - variables
                                      required:
                                        - fromRecipe
                                        - recipe
                            columnsUsed:
                              type: array
                              items:
                                type: string
                          required:
                            - slug
                            - type
                            - label
                            - kind
                            - expression
                        - type: object
                          properties:
                            slug:
                              type: string
                              pattern: ^[a-z0-9]+(_[a-z0-9]+)*$
                            type:
                              type: string
                              enum:
                                - string
                                - number
                                - object
                                - array
                                - date
                                - boolean
                                - any
                                - vector
                            properties:
                              type: array
                              items:
                                type: string
                            label:
                              type: string
                            description:
                              type: string
                            kind:
                              type: string
                              const: metric
                            relationshipUuid:
                              type: string
                            aggregation:
                              type: object
                              properties:
                                function:
                                  type: string
                                  enum:
                                    - AVG
                                    - COUNT
                                    - MAX
                                    - MIN
                                    - SUM
                                columnSlug:
                                  type: string
                              required:
                                - function
                                - columnSlug
                            filter:
                              type: object
                              properties:
                                conjonction:
                                  type: string
                                  enum:
                                    - or
                                    - and
                                groups:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      conjonction:
                                        type: string
                                        enum:
                                          - or
                                          - and
                                      conditions:
                                        type: array
                                        items:
                                          anyOf:
                                            - type: object
                                              properties:
                                                kind:
                                                  type: string
                                                  const: sql
                                                name:
                                                  type: string
                                                clause:
                                                  type: string
                                              required:
                                                - kind
                                                - name
                                                - clause
                                            - allOf:
                                                - type: object
                                                  properties:
                                                    kind:
                                                      type: string
                                                      const: string
                                                    relatedModelUuid:
                                                      type: string
                                                    columnSlug:
                                                      type: string
                                                  required:
                                                    - kind
                                                    - columnSlug
                                                - anyOf:
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          enum:
                                                            - is
                                                            - isNot
                                                            - contains
                                                            - doesNotContain
                                                            - startsWith
                                                            - endsWith
                                                        values:
                                                          anyOf:
                                                            - type: string
                                                            - type: array
                                                              items:
                                                                type: string
                                                      required:
                                                        - operator
                                                        - values
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          enum:
                                                            - isNull
                                                            - isNotNull
                                                            - isEmpty
                                                            - isNotEmpty
                                                      required:
                                                        - operator
                                            - allOf:
                                                - type: object
                                                  properties:
                                                    kind:
                                                      type: string
                                                      const: number
                                                    relatedModelUuid:
                                                      type: string
                                                    columnSlug:
                                                      type: string
                                                  required:
                                                    - kind
                                                    - columnSlug
                                                - anyOf:
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          enum:
                                                            - is
                                                            - isNot
                                                            - greaterThan
                                                            - lowerThan
                                                        value:
                                                          type: number
                                                      required:
                                                        - operator
                                                        - value
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          const: between
                                                        firstValue:
                                                          type: number
                                                        lastValue:
                                                          type: number
                                                      required:
                                                        - operator
                                                        - firstValue
                                                        - lastValue
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          enum:
                                                            - isNull
                                                            - isNotNull
                                                      required:
                                                        - operator
                                            - allOf:
                                                - type: object
                                                  properties:
                                                    kind:
                                                      type: string
                                                      const: objectProperty
                                                    relatedModelUuid:
                                                      type: string
                                                    columnSlug:
                                                      type: string
                                                    propertyName:
                                                      type: string
                                                  required:
                                                    - kind
                                                    - columnSlug
                                                    - propertyName
                                                - anyOf:
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          enum:
                                                            - is
                                                            - isNot
                                                            - contains
                                                            - greaterThan
                                                            - lowerThan
                                                            - doesNotContain
                                                            - startsWith
                                                            - endsWith
                                                        value:
                                                          type: string
                                                      required:
                                                        - operator
                                                        - value
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          enum:
                                                            - isNull
                                                            - isNotNull
                                                            - isEmpty
                                                            - isNotEmpty
                                                      required:
                                                        - operator
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          const: between
                                                        value:
                                                          type: string
                                                        otherValue:
                                                          type: string
                                                      required:
                                                        - operator
                                                        - value
                                                        - otherValue
                                            - allOf:
                                                - type: object
                                                  properties:
                                                    kind:
                                                      type: string
                                                      const: object
                                                    relatedModelUuid:
                                                      type: string
                                                    columnSlug:
                                                      type: string
                                                  required:
                                                    - kind
                                                    - columnSlug
                                                - anyOf:
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          const: isNull
                                                      required:
                                                        - operator
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          const: isNotNull
                                                      required:
                                                        - operator
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          const: matchConditions
                                                        conjonction:
                                                          type: string
                                                          enum:
                                                            - or
                                                            - and
                                                        propertyConditions:
                                                          type: array
                                                          items:
                                                            allOf:
                                                              - type: object
                                                                properties:
                                                                  kind:
                                                                    type: string
                                                                    const: objectProperty
                                                                  relatedModelUuid:
                                                                    type: string
                                                                  columnSlug:
                                                                    type: string
                                                                  propertyName:
                                                                    type: string
                                                                required:
                                                                  - kind
                                                                  - columnSlug
                                                                  - propertyName
                                                              - anyOf:
                                                                  - type: object
                                                                    properties:
                                                                      operator: {}
                                                                      value: {}
                                                                    required:
                                                                      - operator
                                                                      - value
                                                                  - type: object
                                                                    properties:
                                                                      operator: {}
                                                                    required:
                                                                      - operator
                                                                  - type: object
                                                                    properties:
                                                                      operator: {}
                                                                      value: {}
                                                                      otherValue: {}
                                                                    required:
                                                                      - operator
                                                                      - value
                                                                      - otherValue
                                                      required:
                                                        - operator
                                                        - conjonction
                                                        - propertyConditions
                                            - allOf:
                                                - type: object
                                                  properties:
                                                    kind:
                                                      type: string
                                                      const: array
                                                    relatedModelUuid:
                                                      type: string
                                                    columnSlug:
                                                      type: string
                                                  required:
                                                    - kind
                                                    - columnSlug
                                                - anyOf:
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          const: isNull
                                                      required:
                                                        - operator
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          const: isNotNull
                                                      required:
                                                        - operator
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          const: matchConditions
                                                        conjonction:
                                                          type: string
                                                          enum:
                                                            - or
                                                            - and
                                                        propertyConditions:
                                                          type: array
                                                          items:
                                                            allOf:
                                                              - type: object
                                                                properties:
                                                                  kind:
                                                                    type: string
                                                                    const: objectProperty
                                                                  relatedModelUuid:
                                                                    type: string
                                                                  columnSlug:
                                                                    type: string
                                                                  propertyName:
                                                                    type: string
                                                                required:
                                                                  - kind
                                                                  - columnSlug
                                                                  - propertyName
                                                              - anyOf:
                                                                  - type: object
                                                                    properties:
                                                                      operator: {}
                                                                      value: {}
                                                                    required:
                                                                      - operator
                                                                      - value
                                                                  - type: object
                                                                    properties:
                                                                      operator: {}
                                                                    required:
                                                                      - operator
                                                                  - type: object
                                                                    properties:
                                                                      operator: {}
                                                                      value: {}
                                                                      otherValue: {}
                                                                    required:
                                                                      - operator
                                                                      - value
                                                                      - otherValue
                                                      required:
                                                        - operator
                                                        - conjonction
                                                        - propertyConditions
                                            - type: object
                                              properties:
                                                kind:
                                                  type: string
                                                  const: any
                                                relatedModelUuid:
                                                  type: string
                                                columnSlug:
                                                  type: string
                                                operator:
                                                  type: string
                                                  enum:
                                                    - isNull
                                                    - isNotNull
                                              required:
                                                - kind
                                                - columnSlug
                                                - operator
                                            - type: object
                                              properties:
                                                kind:
                                                  type: string
                                                  const: vector
                                                relatedModelUuid:
                                                  type: string
                                                columnSlug:
                                                  type: string
                                                operator:
                                                  type: string
                                                  enum:
                                                    - isNull
                                                    - isNotNull
                                              required:
                                                - kind
                                                - columnSlug
                                                - operator
                                            - allOf:
                                                - type: object
                                                  properties:
                                                    kind:
                                                      type: string
                                                      const: date
                                                    relatedModelUuid:
                                                      type: string
                                                    columnSlug:
                                                      type: string
                                                  required:
                                                    - kind
                                                    - columnSlug
                                                - anyOf:
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          enum:
                                                            - is
                                                            - isNot
                                                            - greaterThan
                                                            - lowerThan
                                                        value:
                                                          type: string
                                                      required:
                                                        - operator
                                                        - value
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          const: between
                                                        firstValue:
                                                          type: string
                                                        lastValue:
                                                          type: string
                                                      required:
                                                        - operator
                                                        - firstValue
                                                        - lastValue
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          enum:
                                                            - isNull
                                                            - isNotNull
                                                      required:
                                                        - operator
                                            - type: object
                                              properties:
                                                kind:
                                                  type: string
                                                  const: boolean
                                                relatedModelUuid:
                                                  type: string
                                                columnSlug:
                                                  type: string
                                                operator:
                                                  type: string
                                                  enum:
                                                    - isTrue
                                                    - isFalse
                                                    - isNull
                                                    - isNotNull
                                              required:
                                                - kind
                                                - columnSlug
                                                - operator
                                            - type: object
                                              properties:
                                                kind:
                                                  type: string
                                                  const: occurrence
                                                relatedModelUuid:
                                                  type: string
                                                frequency:
                                                  anyOf:
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          const: not
                                                      required:
                                                        - operator
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          enum:
                                                            - moreThan
                                                            - lessThan
                                                            - exactly
                                                        value:
                                                          type: number
                                                      required:
                                                        - operator
                                                        - value
                                                period:
                                                  type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      enum:
                                                        - lessThan
                                                        - moreThan
                                                        - exactly
                                                    value:
                                                      type: number
                                                    unit:
                                                      type: string
                                                      const: day
                                                  required:
                                                    - operator
                                                    - value
                                                    - unit
                                                conjonction:
                                                  type: string
                                                  enum:
                                                    - or
                                                    - and
                                                conditions:
                                                  type: array
                                                  items:
                                                    anyOf:
                                                      - allOf:
                                                          - type: object
                                                            properties:
                                                              kind:
                                                                type: string
                                                                const: string
                                                              relatedModelUuid:
                                                                type: string
                                                              columnSlug:
                                                                type: string
                                                            required:
                                                              - kind
                                                              - columnSlug
                                                          - anyOf:
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - is
                                                                      - isNot
                                                                      - contains
                                                                      - doesNotContain
                                                                      - startsWith
                                                                      - endsWith
                                                                  values:
                                                                    anyOf:
                                                                      - {}
                                                                      - {}
                                                                required:
                                                                  - operator
                                                                  - values
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - isNull
                                                                      - isNotNull
                                                                      - isEmpty
                                                                      - isNotEmpty
                                                                required:
                                                                  - operator
                                                      - allOf:
                                                          - type: object
                                                            properties:
                                                              kind:
                                                                type: string
                                                                const: number
                                                              relatedModelUuid:
                                                                type: string
                                                              columnSlug:
                                                                type: string
                                                            required:
                                                              - kind
                                                              - columnSlug
                                                          - anyOf:
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - is
                                                                      - isNot
                                                                      - greaterThan
                                                                      - lowerThan
                                                                  value:
                                                                    type: number
                                                                required:
                                                                  - operator
                                                                  - value
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: between
                                                                  firstValue:
                                                                    type: number
                                                                  lastValue:
                                                                    type: number
                                                                required:
                                                                  - operator
                                                                  - firstValue
                                                                  - lastValue
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - isNull
                                                                      - isNotNull
                                                                required:
                                                                  - operator
                                                      - allOf:
                                                          - type: object
                                                            properties:
                                                              kind:
                                                                type: string
                                                                const: object
                                                              relatedModelUuid:
                                                                type: string
                                                              columnSlug:
                                                                type: string
                                                            required:
                                                              - kind
                                                              - columnSlug
                                                          - anyOf:
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: isNull
                                                                required:
                                                                  - operator
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: isNotNull
                                                                required:
                                                                  - operator
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: matchConditions
                                                                  conjonction:
                                                                    type: string
                                                                    enum:
                                                                      - or
                                                                      - and
                                                                  propertyConditions:
                                                                    type: array
                                                                    items:
                                                                      allOf: {}
                                                                required:
                                                                  - operator
                                                                  - conjonction
                                                                  - propertyConditions
                                                      - allOf:
                                                          - type: object
                                                            properties:
                                                              kind:
                                                                type: string
                                                                const: array
                                                              relatedModelUuid:
                                                                type: string
                                                              columnSlug:
                                                                type: string
                                                            required:
                                                              - kind
                                                              - columnSlug
                                                          - anyOf:
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: isNull
                                                                required:
                                                                  - operator
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: isNotNull
                                                                required:
                                                                  - operator
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: matchConditions
                                                                  conjonction:
                                                                    type: string
                                                                    enum:
                                                                      - or
                                                                      - and
                                                                  propertyConditions:
                                                                    type: array
                                                                    items:
                                                                      allOf: {}
                                                                required:
                                                                  - operator
                                                                  - conjonction
                                                                  - propertyConditions
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            const: any
                                                          relatedModelUuid:
                                                            type: string
                                                          columnSlug:
                                                            type: string
                                                          operator:
                                                            type: string
                                                            enum:
                                                              - isNull
                                                              - isNotNull
                                                        required:
                                                          - kind
                                                          - columnSlug
                                                          - operator
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            const: vector
                                                          relatedModelUuid:
                                                            type: string
                                                          columnSlug:
                                                            type: string
                                                          operator:
                                                            type: string
                                                            enum:
                                                              - isNull
                                                              - isNotNull
                                                        required:
                                                          - kind
                                                          - columnSlug
                                                          - operator
                                                      - allOf:
                                                          - type: object
                                                            properties:
                                                              kind:
                                                                type: string
                                                                const: date
                                                              relatedModelUuid:
                                                                type: string
                                                              columnSlug:
                                                                type: string
                                                            required:
                                                              - kind
                                                              - columnSlug
                                                          - anyOf:
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - is
                                                                      - isNot
                                                                      - greaterThan
                                                                      - lowerThan
                                                                  value:
                                                                    type: string
                                                                required:
                                                                  - operator
                                                                  - value
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: between
                                                                  firstValue:
                                                                    type: string
                                                                  lastValue:
                                                                    type: string
                                                                required:
                                                                  - operator
                                                                  - firstValue
                                                                  - lastValue
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - isNull
                                                                      - isNotNull
                                                                required:
                                                                  - operator
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            const: boolean
                                                          relatedModelUuid:
                                                            type: string
                                                          columnSlug:
                                                            type: string
                                                          operator:
                                                            type: string
                                                            enum:
                                                              - isTrue
                                                              - isFalse
                                                              - isNull
                                                              - isNotNull
                                                        required:
                                                          - kind
                                                          - columnSlug
                                                          - operator
                                              required:
                                                - kind
                                                - relatedModelUuid
                                                - frequency
                                                - period
                                                - conjonction
                                                - conditions
                                            - type: object
                                              properties:
                                                kind:
                                                  type: string
                                                  const: enrollment
                                                workflowUuid:
                                                  type: string
                                                activityKind:
                                                  type: string
                                                  enum:
                                                    - workflowEntered
                                                    - workflowNodeExecuted
                                                    - workflowLeft
                                                nodeSlug:
                                                  type: string
                                                frequency:
                                                  anyOf:
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          const: not
                                                      required:
                                                        - operator
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          enum:
                                                            - moreThan
                                                            - lessThan
                                                            - exactly
                                                        value:
                                                          type: number
                                                      required:
                                                        - operator
                                                        - value
                                                period:
                                                  type: object
                                                  properties:
                                                    operator:
                                                      type: string
                                                      enum:
                                                        - lessThan
                                                        - moreThan
                                                        - exactly
                                                    value:
                                                      type: number
                                                    unit:
                                                      type: string
                                                      const: day
                                                  required:
                                                    - operator
                                                    - value
                                                    - unit
                                              required:
                                                - kind
                                                - workflowUuid
                                                - activityKind
                                                - frequency
                                                - period
                                            - type: object
                                              properties:
                                                kind:
                                                  type: string
                                                  const: segment
                                                segmentUuid:
                                                  type: string
                                                operator:
                                                  type: string
                                                  enum:
                                                    - in
                                                    - notIn
                                              required:
                                                - kind
                                                - segmentUuid
                                                - operator
                                    required:
                                      - conjonction
                                      - conditions
                              required:
                                - conjonction
                                - groups
                          required:
                            - slug
                            - type
                            - label
                            - kind
                            - relationshipUuid
                            - aggregation
                        - type: object
                          properties:
                            slug:
                              type: string
                              pattern: ^[a-z0-9]+(_[a-z0-9]+)*$
                            type:
                              type: string
                              enum:
                                - string
                                - number
                                - object
                                - array
                                - date
                                - boolean
                                - any
                                - vector
                            properties:
                              type: array
                              items:
                                type: string
                            label:
                              type: string
                            description:
                              type: string
                            kind:
                              type: string
                              const: lookup
                            join:
                              type: object
                              properties:
                                toModelUuid:
                                  type: string
                                fromColumnSlug:
                                  type: string
                                toColumnSlug:
                                  type: string
                              required:
                                - toModelUuid
                                - fromColumnSlug
                                - toColumnSlug
                            extractColumnSlug:
                              type: string
                            filter:
                              type: object
                              properties:
                                conjonction:
                                  type: string
                                  enum:
                                    - or
                                    - and
                                groups:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      conjonction:
                                        type: string
                                        enum:
                                          - or
                                          - and
                                      conditions:
                                        type: array
                                        items:
                                          anyOf:
                                            - type: object
                                              properties:
                                                kind:
                                                  type: string
                                                  const: sql
                                                name:
                                                  type: string
                                                clause:
                                                  type: string
                                              required:
                                                - kind
                                                - name
                                                - clause
                                            - allOf:
                                                - type: object
                                                  properties:
                                                    kind:
                                                      type: string
                                                      const: string
                                                    relatedModelUuid:
                                                      type: string
                                                    columnSlug:
                                                      type: string
                                                  required:
                                                    - kind
                                                    - columnSlug
                                                - anyOf:
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          enum:
                                                            - is
                                                            - isNot
                                                            - contains
                                                            - doesNotContain
                                                            - startsWith
                                                            - endsWith
                                                        values:
                                                          anyOf:
                                                            - type: string
                                                            - type: array
                                                              items:
                                                                type: string
                                                      required:
                                                        - operator
                                                        - values
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          enum:
                                                            - isNull
                                                            - isNotNull
                                                            - isEmpty
                                                            - isNotEmpty
                                                      required:
                                                        - operator
                                            - allOf:
                                                - type: object
                                                  properties:
                                                    kind:
                                                      type: string
                                                      const: number
                                                    relatedModelUuid:
                                                      type: string
                                                    columnSlug:
                                                      type: string
                                                  required:
                                                    - kind
                                                    - columnSlug
                                                - anyOf:
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          enum:
                                                            - is
                                                            - isNot
                                                            - greaterThan
                                                            - lowerThan
                                                        value:
                                                          type: number
                                                      required:
                                                        - operator
                                                        - value
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          const: between
                                                        firstValue:
                                                          type: number
                                                        lastValue:
                                                          type: number
                                                      required:
                                                        - operator
                                                        - firstValue
                                                        - lastValue
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          enum:
                                                            - isNull
                                                            - isNotNull
                                                      required:
                                                        - operator
                                            - allOf:
                                                - type: object
                                                  properties:
                                                    kind:
                                                      type: string
                                                      const: objectProperty
                                                    relatedModelUuid:
                                                      type: string
                                                    columnSlug:
                                                      type: string
                                                    propertyName:
                                                      type: string
                                                  required:
                                                    - kind
                                                    - columnSlug
                                                    - propertyName
                                                - anyOf:
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          enum:
                                                            - is
                                                            - isNot
                                                            - contains
                                                            - greaterThan
                                                            - lowerThan
                                                            - doesNotContain
                                                            - startsWith
                                                            - endsWith
                                                        value:
                                                          type: string
                                                      required:
                                                        - operator
                                                        - value
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          enum:
                                                            - isNull
                                                            - isNotNull
                                                            - isEmpty
                                                            - isNotEmpty
                                                      required:
                                                        - operator
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          const: between
                                                        value:
                                                          type: string
                                                        otherValue:
                                                          type: string
                                                      required:
                                                        - operator
                                                        - value
                                                        - otherValue
                                            - allOf:
                                                - type: object
                                                  properties:
                                                    kind:
                                                      type: string
                                                      const: object
                                                    relatedModelUuid:
                                                      type: string
                                                    columnSlug:
                                                      type: string
                                                  required:
                                                    - kind
                                                    - columnSlug
                                                - anyOf:
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          const: isNull
                                                      required:
                                                        - operator
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          const: isNotNull
                                                      required:
                                                        - operator
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          const: matchConditions
                                                        conjonction:
                                                          type: string
                                                          enum:
                                                            - or
                                                            - and
                                                        propertyConditions:
                                                          type: array
                                                          items:
                                                            allOf:
                                                              - type: object
                                                                properties:
                                                                  kind:
                                                                    type: string
                                                                    const: objectProperty
                                                                  relatedModelUuid:
                                                                    type: string
                                                                  columnSlug:
                                                                    type: string
                                                                  propertyName:
                                                                    type: string
                                                                required:
                                                                  - kind
                                                                  - columnSlug
                                                                  - propertyName
                                                              - anyOf:
                                                                  - type: object
                                                                    properties:
                                                                      operator: {}
                                                                      value: {}
                                                                    required:
                                                                      - operator
                                                                      - value
                                                                  - type: object
                                                                    properties:
                                                                      operator: {}
                                                                    required:
                                                                      - operator
                                                                  - type: object
                                                                    properties:
                                                                      operator: {}
                                                                      value: {}
                                                                      otherValue: {}
                                                                    required:
                                                                      - operator
                                                                      - value
                                                                      - otherValue
                                                      required:
                                                        - operator
                                                        - conjonction
                                                        - propertyConditions
                                            - allOf:
                                                - type: object
                                                  properties:
                                                    kind:
                                                      type: string
                                                      const: array
                                                    relatedModelUuid:
                                                      type: string
                                                    columnSlug:
                                                      type: string
                                                  required:
                                                    - kind
                                                    - columnSlug
                                                - anyOf:
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          const: isNull
                                                      required:
                                                        - operator
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          const: isNotNull
                                                      required:
                                                        - operator
                                                    - type: object
                                                      properties:
                                                        operator:
                                                          type: string
                                                          const: matchConditions
                                                        conjonction:
                                                          type: string
                                                          enum:
                                                            - or
                                                            - and
                                                        propertyConditions:
                                                          type: array
                                                          items:
                                                            allOf:
                                                              - type: object
                                                                properties:
                                                                  kind:
                                                                    type: string
                                                                    const: objectProperty
                                                                  relatedModelUuid:
                                                                    type: string
                                                                  columnSlug:
                                                                    type: string
                                                                  propertyName:
                                                                    type: string
                                                                required:
                                                                  - kind
                                                                  - columnSlug
                                                                  - propertyName
                                                              - anyOf:
                                                                  - type: object
                                                                    properties:
                                                                      operator: {}
                                                                      value: {}
                                                                    required:
                                                                      - operator
                                                                      - value
                                                                  - type: object
                                                                    properties:
                                                                      operator: {}
                                                                    required:
                                                                      - operator
                                                                  - type: object
                                                                    properties:
                                                                      operator: {}
                                                                      value: {}
                                                                      otherValue: {}
                                                                    required:
                                                                      - operator
                                                                      - value
                                                                      - otherValue
                                                      required:
                                                        - operator
                                                        - conjonction
                                                        - propertyConditions
                                            - type: object
                                              properties:
                                                kind:
                                                  type: string
                                                  const: any
                                                relatedModelUuid:
                                                  type: string
                                                columnSlug:
                                                  type: string
                                                operator:
                                                  type: string
                                                  enum:
                                                    - isNull
                                                    - isNotNull
                                              required:
                                                - kind
                                                - columnSlug
                                                - operator
                                            - type: object
                                              properties:
                                                kind:
                                                  type: string
                                                  const: vector
                                                relatedModelUuid:
                                                  type: string
                                                columnSlug:
                                                  type: string
                                                operator:
                                                  type: string
                                                  enum:
                                                    - isNull
                                                    - isNotNull
                                              required:
                                                - kind
                                                - columnSlug
                                                - operator
                                            - allOf:
                                                - type: object
                                                  properties:
                                                    kind:
[...]
